SDL_GetHaptics(3)

NAME
SDL_GetHaptics - Get a list of currently connected haptic devices.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

SDL_HapticID * SDL_GetHaptics(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of haptic devices returned, may be NULL.

RETURN VALUE
Returns a 0 terminated array of haptic device instance IDs or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_OpenHaptic(3)